<%--
 * Copyright by Intland Software
 *
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Intland Software. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Intland.
 *
 * $Revision$ $Date$
--%>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="uitaglib" prefix="ui" %>

<%--
	scriptlet prints out the performance test's results.
--%>
<%--
<jsp:include page="/js/yuilogconsole.jsp" />
--%>
<c:if test="${perftest}" >

	<jsp:include page="/js/yuilogconsole.jsp" />

	<script type="text/javascript">
		// print out pertest statistics
		function printStatistics() {
			var stat = "";
			var startTime = perftest.startTime;
			// stat += "startTime:\t" + perftest.startTime +"\n";
			stat += "headerLoaded:\t" + (perftest.headerLoaded - startTime)   +"\n";
			stat += "footerLoaded:\t" + (perftest.footerLoaded - startTime)   +"\n";
			stat += "firstDOMReady:\t" + (perftest.firstDOMReady - startTime) +"\n";
			stat += "lastDOMReady:\t" + (perftest.lastDOMReady - startTime)   +"\n";
			alert(stat);
		}

		perftest.footerLoaded = (new Date()).getTime();

		YAHOO.util.Event.onDOMReady(function() {
			perftest.lastDOMReady = (new Date()).getTime();

			// a bit later print the statistics
			window.setTimeout(printStatistics, 3000);
		});
	</script>
</c:if>